{{ define "main" }}

<main>
  <h1>{{ .Page.Title }}</h1>

  {{ .Content }}

  {{/* show members without end date, then other active members, then inactive */}}
  {{ $continuing := where .Pages "Params.end" "eq" nil }}
  {{ $active := where .Pages "Params.end" "ge" (now.Format "2006-01-02") }}
  {{ $inactive := where .Pages "Params.end" "lt" (now.Format "2006-01-02") }}

  {{ range (union $continuing $active) }}
    {{ .Render "summary" }}
  {{ end }}

  {{ if $inactive }}
  <h2>Retired</h2>
  {{ range $inactive }}
    {{ .Render "summary" }}
  {{ end }}
  {{ end }}

</main>

{{ end }}
